export default class ModelDeployment {
  static list (sender, params, axiosOption, httpOption) {
    return sender.doUrl('/admin/app/modelDeploy/list', 'post', params, axiosOption, httpOption);
  }
  static listForTree (sender, params, axiosOption, httpOption) {
    return sender.doUrl('/admin/app/modelManage/listForTree', 'post', params, axiosOption, httpOption);
  }
  static add (sender, params, axiosOption, httpOption) {
    return sender.doUrl('/admin/app/modelDeploy/add', 'post', params, axiosOption, httpOption);
  }
  static delete (sender, params, axiosOption, httpOption) {
    return sender.doUrl('/admin/app/modelDeploy/delete', 'post', params, axiosOption, httpOption);
  }
  static deploy (sender, params, axiosOption, httpOption) {
    return sender.doUrl('/admin/app/modelDeploy/deploy', 'post', params, axiosOption, httpOption);
  }
  static getGpuInfo (sender, params, axiosOption, httpOption) {
    return sender.doUrl('/admin/app/modelDeploy/getGpuInfo', 'post', params, axiosOption, httpOption);
  }
  static stop (sender, params, axiosOption, httpOption) {
    return sender.doUrl('/admin/app/modelDeploy/stop', 'post', params, axiosOption, httpOption);
  }
  static canUseList (sender, params, axiosOption, httpOption) {
    return sender.doUrl('/admin/app/modelDeploy/canUseList', 'post', params, axiosOption, httpOption);
  }
}
